im-config (0.44-1ubuntu1.3) focal; urgency=medium

  * d/p/back-off-if-ibus-on-gnome.patch:
    - Let im-config back off also if IBus on Budgie (LP: #1901460)

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 28 Oct 2020 17:33:15 +0100

im-config (0.44-1ubuntu1.2) focal; urgency=medium

  * d/p/back-off-if-ibus-on-gnome.patch:
    - Let im-config back off if IBus on GNOME desktop (LP: #1893551)
  * d/p/make-usable-on-wayland.patch, d/README.Debian, d/install:
    - Use im-config on Wayland without uninstalling IBus (LP: #1893552)

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Thu, 03 Sep 2020 19:55:00 +0200

im-config (0.44-1ubuntu1.1) focal; urgency=medium

  * debian/rules:
    - Don't show .desktop icon in Ubuntu (LP: #1885744)

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Tue, 30 Jun 2020 18:37:00 +0200

im-config (0.44-1ubuntu1) focal; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - d/maintscript: Remove /etc/profile.d/input-method-config.sh
    - d/p/01-ubuntu-default-mode.patch
    - d/p/reverse-Remove-imconfig_find_files_with_prefixpath_glob.patch
  * d/p/reverse-Remove-imconfig_find_files_with_prefixpath_glob.patch:
    - Reverse new approach for setting env variables
    
 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 25 Mar 2020 22:44:00 +0100

im-config (0.44-1) unstable; urgency=medium

  * Clean up imconfig_find_files_with_prefixpath_glob.

  [ Boyuan Yang ]
  * Add initial configuration data for fcitx5 support.

  [ Gunnar Hjalmarsson ]
  * im-launch.1: Fix a typo in the man page. (LP: #1851997)
  * xinputrc.common.in: Use LC_ALL=C for dpkg-query to ensure
    English output. (LP: #1847618)

 -- Osamu Aoki <osamu@debian.org>  Wed, 25 Mar 2020 10:11:29 +0900

im-config (0.43-1ubuntu3) eoan; urgency=medium

  * debian/patches/01-ubuntu-default-mode.patch:
    - Set "auto" for UKUI.
    - Drop special case for GNOME-Flashback - it's GNOME now.
  * debian/rules:
    - Show .desktop icon in Lubuntu.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Tue, 09 Jul 2019 18:35:00 +0200

im-config (0.43-1ubuntu2) eoan; urgency=medium

  * debian/patches/use-distinguishable-abstract-address.patch:
    - Dropped; this is now done via an ibus patch instead.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Thu, 25 Apr 2019 22:54:00 +0200

im-config (0.43-1ubuntu1) eoan; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - debian/maintscript: Remove /etc/profile.d/input-method-config.sh
    - debian/patches/01-ubuntu-default-mode.patch
    - debian/patches/use-distinguishable-abstract-address.patch
  * Ubuntu methods for launching im-config dropped:
    - /usr/lib/systemd/user-environment-generators/70-im-config is now
      used to trigger im-config, and since it works for us, the
      alternative Ubuntu files debian/user/im-config.service and
      debian/input-method-config.sh are no longer needed.
  * debian/maintscript:
    - Remove /etc/profile.d/input-method-config.sh
  * debian/patches/dont-start-ibus-if-gdm3.patch:
    - Dropped; it was a hack which seems not to be needed any longer.
  * debian/patches/dont-set-GTK_IM_MODULE-on-wayland.patch:
    - Dropped; im-config is now completely disabled if Ubuntu on
      Wayland.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Thu, 25 Apr 2019 06:28:00 +0200

im-config (0.43-1) unstable; urgency=medium

  * Minimal change from the testing 0.39-1 upload aiming for buster release.
  * The slow execution #925160 bug is addressed by disabling useless
    checks by imconfig_find_files_with_prefixpath_glob.
  * The 0.39-1 upload caused regression on the most common Gnome wayland
    system with ibus since Gnome also tries to set up input method.
    This regression is fixed by making 70-im-config and
    im-launch.desktop conditional to the existence of ibus-daemon.
    Closes: #925160
  * The 0.39-1 upload caused another regression of lost $HOME value.
    This regression is fixed by adding HOME to the env command argument
    in im-launch.
  * House keeping to erase conffile introduced by some unstable packages
    using dpkg-maintscript-helper.  Closes: #926016

 -- Osamu Aoki <osamu@debian.org>  Sat, 30 Mar 2019 21:06:10 +0900

im-config (0.42-1) unstable; urgency=medium

  * Better fix to reopened #925160 by:
    - Fix glob to use "*-*-*"
    - Use "emulate -R sh" trick (not script with "find") for zsh
    - Save environment variables to avoid running the problematic 
      slow code twice
    - Check the existence of ibus-daemon to disable 
      systemd.environment-generator script.
    - Separate wayland code from Xsession ones.
    - Move one line code from desktop to separated wayland code.
  * The above combination.  Closes: #925160

 -- Osamu Aoki <osamu@debian.org>  Sat, 30 Mar 2019 00:55:07 +0900

im-config (0.41-1) unstable; urgency=medium

  * Refine environment variable handling.
  * Add autopkgtest.

 -- Osamu Aoki <osamu@debian.org>  Sun, 24 Mar 2019 11:37:32 +0900

im-config (0.40-1) unstable; urgency=medium

  [ YOSHINO Yoshihito ]
  * Speed up by avoid using "find" but work around sddm+zsh
    problem originally reported at Bug#905129.

  [ Osamu Aoki ]
  * Disable im-config for Gnome on wayland by default.
    Closes: #925160, #877312
  * Add im-launch-wayland to simplify code.
  * Avoid running time consuming code section twice.

 -- Osamu Aoki <osamu@debian.org>  Sun, 24 Mar 2019 05:03:35 +0900

im-config (0.39-1) unstable; urgency=medium

  [ YOSHINO Yoshihito ]
  * Support GNOME Wayland with gdm3.

 -- Osamu Aoki <osamu@debian.org>  Sat, 09 Mar 2019 02:09:41 +0900

im-config (0.38-1ubuntu2) disco; urgency=medium

  * debian/patches/dont-set-GTK_IM_MODULE-on-wayland.patch:
    - Don't set GTK_IM_MODULE if IBus on Wayland session
      (LP: #1816808).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Tue, 02 Apr 2019 18:30:00 +0200

im-config (0.38-1ubuntu1) cosmic; urgency=medium

  * Merge with Debian unstable (LP: #1787360), remaining changes:
    - d/user/im-config.service, d/rules, d/im-config.links:
      - Install systemd user session job.
    - d/input-method-config.sh, d/rules:
      - Script which works around the fact that
        graphical-session-pre.target services are not always run as
        intended.
    - debian/patches/01-ubuntu-default-mode.patch
    - debian/patches/use-distinguishable-abstract-address.patch
    - debian/patches/dont-start-ibus-if-gdm3.patch
  * debian/patches/discard-fcitx-launch-errors.patch:
    - Dropped; applied upstream.
  * debian/input-method-config.sh, debian/user/im-config.service:
    - Unset TEXTDOMAIN and TEXTDOMAINDIR.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Thu, 23 Aug 2018 19:05:00 +0200

im-config (0.38-1) unstable; urgency=medium

  * Switch from bash to sh for im-config.
  * Add build time check to prevent shell grammar errors.

 -- Osamu Aoki <osamu@debian.org>  Sat, 04 Aug 2018 23:53:32 +0900

im-config (0.37-1) unstable; urgency=high

  * Team upload.
  * Fix shell grammar errors introduced in last upload.
    Closes: #905264, #905259, #905260.
  * Discard STDERR messages when launching fcitx.
    (Merged downstream harmless fix for LP: #1722427)
  * debian/control: Bump Standards-Version to 4.2.0 (no changes needed).

 -- Boyuan Yang <073plan@gmail.com>  Thu, 02 Aug 2018 19:48:38 +0800

im-config (0.36-1) unstable; urgency=medium

  [ Boyuan Yang ]
  * Make code compatible with zsh.  Closes: #905129
  * Update package requirement for fcitx.
  * Update zh_CN translation.

 -- Osamu Aoki <osamu@debian.org>  Wed, 01 Aug 2018 22:51:23 +0900

im-config (0.35-1) unstable; urgency=medium

  * Fix kdialog support code.  Closes: #899185
  * Update VCS to new salsa service in compliance to the Debian
    Policy 5.6.26 (version 4.1.5).
  * Bump standards version to 4.1.5 and compat to 11.

 -- Osamu Aoki <osamu@debian.org>  Mon, 16 Jul 2018 15:54:09 +0900

im-config (0.34-1ubuntu3) cosmic; urgency=medium

  * debian/patches/dont-set-GTK_IM_MODULE-on-wayland.patch:
    - Dropped. The 0.34-1ubuntu2 changes reversed due to regression,
      e.g. LibreOffice crash when using IBus (LP: #1761554).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Sun, 10 Jun 2018 22:03:00 +0200

im-config (0.34-1ubuntu2) cosmic; urgency=medium

  * debian/patches/dont-set-GTK_IM_MODULE-on-wayland.patch:
    - Don't set GTK_IM_MODULE if IBus on Wayland session
      (LP: #1761554).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Thu, 24 May 2018 23:54:00 +0200

im-config (0.34-1ubuntu1) bionic; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - d/user/im-config.service, d/rules, d/im-config.links:
      - Install systemd user session job.
    - d/input-method-config.sh, d/rules:
      - Script which works around the fact that
        graphical-session-pre.target services are not always run as
        intended.
    - debian/patches/01-ubuntu-default-mode.patch
    - debian/patches/use-distinguishable-abstract-address.patch
    - debian/patches/dont-start-ibus-if-gdm3.patch
    - debian/patches/discard-fcitx-launch-errors.patch

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Tue, 13 Feb 2018 23:21:00 +0100

im-config (0.34-1) unstable; urgency=medium

  * Drop 6 year old transition code.  Closes: #690212
  * depend on kdialog.  Closes: #885837 

 -- Osamu Aoki <osamu@debian.org>  Sun, 31 Dec 2017 15:26:59 +0900

im-config (0.33-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * Detect uim with uim and uim-common.  Closes: #883917, #877585

 -- Osamu Aoki <osamu@debian.org>  Sat, 23 Dec 2017 21:33:22 +0900

im-config (0.32-1ubuntu3) artful; urgency=high

  * debian/patches/discard-fcitx-launch-errors.patch:
    - Discard STDERR messages when launching Fcitx to prevent that the
      DMs' error dialog is shown gratuitously at login (LP: #1722427).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Sun, 15 Oct 2017 11:21:00 +0200

im-config (0.32-1ubuntu2) artful; urgency=medium

  * debian/input-method-config.sh, debian/rules:
    - Script which works around (in 17.10) the fact that
      graphical-session-pre.target services are not always run as
      intended (LP: #1720250).
  * debian/patches/dont-start-ibus-if-gdm3.patch:
    - Prevents two instances of ibus-daemon, which fixes issue with
      suggestion window not showing up when using ibus-mozc
      (LP: #1720250).
  * Dropped the upstart user session job.
  * debian/menu: Dropped.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 04 Oct 2017 17:17:00 +0200

im-config (0.32-1ubuntu1) artful; urgency=medium

  * Merge with Debian unstable (LP: #1720184), remaining changes:
    - d/im-config.user-session.upstart, d/im-config.links, d/rules:
      - Install upstart user session job.
    - d/user/im-config.override, d/user/im-config.service, d/rules:
      - Install systemd user session job.
    - debian/menu
    - debian/patches/01-ubuntu-default-mode.patch
    - debian/patches/use-distinguishable-abstract-address.patch
  * debian/patches/use-distinguishable-abstract-address.patch:
    - Refreshed.
  * debian/patches/03-not-always-require-zenity.patch:
    - Dropped; applied upstream.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Fri, 29 Sep 2017 00:13:00 +0200

im-config (0.32-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * Disable uim-toolbar-gtk{,3}-systray due to outdated.
    - They are outdated, buggy and have alternatives (uim-toolbar-gtk{,3}).
  * Use uim-toolbar-qt5 instead of uim-toolbar-qt (nonexistent).
  * Wait a sec before starting uim-toolbar.
    - uim-toolbar's spawning is too faster than desktop environment's starting.

 -- Osamu Aoki <osamu@debian.org>  Wed, 27 Sep 2017 21:15:24 +0900

im-config (0.31-1) unstable; urgency=medium

  [ Osamu Aoki ]
  * Start ibus with IBUS_ENABLE_SYNC_MODE=0.  Closes: #812826, #838318, #876794
  * Add Czech language strings to the desktop file.  Closes: #868036 
  * im-config -l doesn't need GUI.  Closes: #804067
  * Update PO with trivial unfuzzy. 

  [ Boyuan Yang ]
  * Refresh debian/copyright file as machine-readable format.

 -- Osamu Aoki <osamu@debian.org>  Tue, 26 Sep 2017 22:41:36 +0900

im-config (0.30-1) unstable; urgency=medium

  * New upstream release acknowledging all NMU patches.

 -- Osamu Aoki <osamu@debian.org>  Wed, 07 Dec 2016 22:00:16 +0900

im-config (0.29-1.4ubuntu1) zesty; urgency=medium

  * Merge with Debian unstable (LP: #1482938, LP: #1642001), remaining
    changes:
    - d/im-config.user-session.upstart, d/im-config.links, d/rules:
      - Install upstart user session job.
    - d/user/im-config.override, d/user/im-config.service, d/rules:
      - Install systemd user session job.
    - debian/menu
    - debian/patches/01-ubuntu-default-mode.patch
    - debian/patches/03-not-always-require-zenity.patch
    - debian/patches/use-distinguishable-abstract-address.patch

  * debian/patches/use-whiptail-as-better-dialog.patch:
    - Dropped; applied upstream.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 16 Nov 2016 03:44:00 +0100

im-config (0.29-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Update Vcs-* urls.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Fri, 17 Jun 2016 14:08:47 +0900

im-config (0.29-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Uploading to unstable. with maintainer's permission.
  * Use whiptail as a better dialog.
    - debian/patches/use_whiptail_instead_of_dialog.patch: new file.
    - originally created by Aron Xu <aron@debian.org>,
      modified by HIGUCHI Daisuke (VDR dai) <dai@debian.org>.
  * debian/control
    - Update Vcs-* fields to use https.
  * Eliminate lintian warning: quilt-patch-missing-description
    - debian/patches/gcin-qt5.patch: Add DEP-3 patch headers.
    - debian/patches/hime-qt5.patch: ditto.
  * Eliminate lintian warning: command-in-menu-file-and-desktop-file
    - debian/menu: Remove.
  * Override lintian warning: command-with-path-in-maintainer-script
    - debian/im-config.lintian-overrides: Add, This is false positive.
  * Update Standards-Version to 3.9.8.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Thu, 16 Jun 2016 22:16:34 +0900

im-config (0.29-1.2) experimental; urgency=medium

  * Non-maintainer upload.
  * fix uim Qt5 immodule path. Closes: #792588

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Tue, 03 Nov 2015 17:55:01 +0900

im-config (0.29-1.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Update gcin configuration for multi-arch and Qt5.
    Closes: #787618
  * Update HIME configuration for multi-arch and Qt5.
    Closes: #800577

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 17 Oct 2015 22:19:09 +0800

im-config (0.29-1ubuntu16) yakkety; urgency=medium

  * debian/user/im-config.service: Reverse the order of "initctl set-env" and
    "dbus-update-activation-environment". $XMODIFIERS can contain an "=" (its
    value might be, for example, "@im=ibus"). upstart forwards "set-env -g"
    calls to D-Bus, but it constructs the parameters to the call incorrectly
    and splits on "=" characters in the value, discarding anything which
    follows. We can work around this bug by calling "initctl set-env -g"
    first, and then "dbus-update-activation-environment" to overwrite the
    buggy value. (LP: #1630090)
  * debian/user/im-config.service: Get rid of one eval -
    "dbus-update-activation-environment" will look up the variable in the
    environment if you don't specify a value.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 04 Oct 2016 12:28:35 +0100

im-config (0.29-1ubuntu15) yakkety; urgency=medium

  * debian/patches/01-ubuntu-default-mode.patch:
    - Merged previous patches "01-ubuntu-locale-override.patch" and
      "02-ubuntu-system-default.patch".
    - When checking XDG_CURRENT_DESKTOP, consistently take into account
      that its value may be a multi value list.
  * debian/control:
    - Bump Standards-Version to 3.9.8.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Tue, 04 Oct 2016 03:44:00 +0200

im-config (0.29-1ubuntu14) yakkety; urgency=medium

  * debian/user/: Add systemd user unit and upstart override for im-config.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 19 Jul 2016 19:44:14 +0200

im-config (0.29-1ubuntu13) yakkety; urgency=medium

  * debian/patches/use-distinguishable-abstract-address.patch: adjust
    ibus-daemon args to include "--address 'unix:tmpdir=/tmp/ibus'" so it has
    a mediatable abstract socket path (LP: #1580463)

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 26 May 2016 12:53:53 -0500

im-config (0.29-1ubuntu12) xenial; urgency=medium

  * debian/control: replace dialog with whiptail (LP: #1561614)

 -- Aron Xu <happyaron.xu@gmail.com>  Sat, 26 Mar 2016 11:38:07 +0800

im-config (0.29-1ubuntu11) xenial; urgency=medium

  * debian/patches/use-whiptail-as-better-dialog.patch
    - Use whiptail as better dialog alternative (LP: #1561614)

 -- Aron Xu <happyaron@ubuntu.com>  Fri, 25 Mar 2016 11:10:43 +0800

im-config (0.29-1ubuntu10) xenial; urgency=medium

  * debian/patches/01-ubuntu-locale-override.patch:
    Exempt GNOME desktops from modifying auto mode for CJKV locales
    (LP: #1551283).
  * debian/patches/02-ubuntu-system-default.patch:
    Make "auto" the system default for Ubuntu GNOME (LP: #1551283).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Tue, 08 Mar 2016 01:25:00 +0100

im-config (0.29-1ubuntu9) xenial; urgency=medium

  * debian/patches/02-ubuntu-system-default.patch:
    Make "auto" the system default for MATE (LP: #1550325).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Fri, 26 Feb 2016 17:34:00 +0100

im-config (0.29-1ubuntu8) xenial; urgency=medium

  * debian/patches/03-not-always-require-zenity.patch:
    Get rid of unwarrented crash of gnome-language-selector when
    calling "im-config -l" (LP: #1450147).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 04 Nov 2015 16:45:00 +0100

im-config (0.29-1ubuntu7) wily; urgency=medium

  * debian/patches/02-ubuntu-system-default.patch:
    Use "cjkv" instead of "xim" on non-Unity desktops (LP: #1481025).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Thu, 15 Oct 2015 04:08:00 +0200

im-config (0.29-1ubuntu6) wily; urgency=medium

  * debian/patches/02-ubuntu-system-default.patch:
    Make "xim" the system default for non-CJKV locales on non-Unity
    desktops (LP: #1481025)

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 12 Oct 2015 12:42:39 +0100

im-config (0.29-1ubuntu5) wily; urgency=medium

  * Re-introduce 01_modify_system_default.patch fro wily (LP: #1481025)

 -- Aron Xu <happyaron@ubuntu.com>  Fri, 09 Oct 2015 19:17:34 +0800

im-config (0.29-1ubuntu4) wily; urgency=medium

  * Set fcitx to system-wide default for:
    - ko_KR, fcitx-hangul (LP: #1459078)
    - vi_VN, fcitx-unikey (LP: #1459080)

 -- Aron Xu <happyaron@ubuntu.com>  Sun, 14 Jun 2015 01:19:54 +0800

im-config (0.29-1ubuntu3) wily; urgency=medium

  * Set fcitx to system-wide default for ja_JP (LP: #1439006).

 -- Aron Xu <happyaron@ubuntu.com>  Sat, 09 May 2015 07:02:27 +0800

im-config (0.29-1ubuntu2) vivid; urgency=medium

  * Fix installation directory in rules.

 -- Aron Xu <happyaron@ubuntu.com>  Mon, 23 Mar 2015 15:01:16 +0800

im-config (0.29-1ubuntu1) vivid; urgency=medium

  [ William Hua ]
  * Export env variables explictly in upstart job.
    (LP: #1433831)

  [ Aron Xu ]
  * Merge with Debian experimental:
    - Install upstart user session job.
    - Drop delta in postinst, no needed.
    - All other patches are merged upstream.

 -- Aron Xu <happyaron@ubuntu.com>  Sun, 22 Mar 2015 10:03:01 +0800

im-config (0.29-1) experimental; urgency=medium

  * Refine regex for locale dependent override control and adjust
    its messages.
  * Remove old work around for Ubuntu in debian/rules.
  * Update translation for ja.

 -- Osamu Aoki <osamu@debian.org>  Sun, 22 Mar 2015 00:55:33 +0900

im-config (0.28-1) experimental; urgency=medium

  * Merge Debian jessie patch to main branch.
  * Fix path error in debian/rules for Ubuntu. Closes: #767007 
  * unset TEXTDOMAIN and TEXTDOMAINDIR.  Closes: #767483
  * Locale dependent override control via IM_CONFIG_PREFERRED_RULE.
    Inspired by Aron's patch. Closes: #780373
  * Really fix chenge for LP: #1375089 in 0.27-1.

 -- Osamu Aoki <osamu@debian.org>  Fri, 20 Mar 2015 22:04:14 +0900

im-config (0.27-2) unstable; urgency=medium

  * Redirect the original stderr to /dev/null to avoid warning message 
    "Gtk-Message: ..." from zenity.  Closes: #770220

 -- Osamu Aoki <osamu@debian.org>  Sun, 22 Feb 2015 16:58:54 +0900

im-config (0.27-1) unstable; urgency=medium

  * Make STDERR output less verbose as default. LP: #1375089 
  * Customize desktop file for Ubuntu. LP: #1342677

 -- Osamu Aoki <osamu@debian.org>  Sat, 18 Oct 2014 01:34:34 +0900

im-config (0.26-2) unstable; urgency=medium

  * Fix build on Ubuntu.  (Regression in 0.26-1) 

 -- Osamu Aoki <osamu@debian.org>  Fri, 25 Apr 2014 23:29:09 +0900

im-config (0.26-1) unstable; urgency=medium

  * Update to use the new /usr/bin/uim-toolbar for uim.
  * Add kde-baseapps-bin to support KDE better.
  * Set the Ubuntu specific default as fcitx. LP: #1297831
  * Qt5 support for ibus, fcitx.  Closes: #732396

 -- Osamu Aoki <osamu@debian.org>  Fri, 25 Apr 2014 00:43:14 +0900

im-config (0.25-1) unstable; urgency=medium

  * Fix spell errors while updating the im-config script to be compatible
    with data generated by the old script. LP: #1296753

 -- Osamu Aoki <osamu@debian.org>  Sun, 30 Mar 2014 03:02:41 +0900

im-config (0.24-1) unstable; urgency=medium

  * Fix typos in manpage
  * Fix changelog 0.23-1.  Closes: #724024, #724309
  * Use safe tmp file kde menu.
  * Add many PO files from Ubuntu translation site. 

 -- Osamu Aoki <osamu@debian.org>  Fri, 10 Jan 2014 00:37:20 +0900

im-config (0.23-1) unstable; urgency=medium

  * Revert 0.22-2 and 0.22-3 changes to keep things simple since 
    it was not a bug.
  * Add -l, -m, and -o options. -l is compatible with the Ubuntu 
    change. Closes: #694941
  * Update translation (uk, ru).  Closes: #724024, #724309
  * Refined build script.

 -- Osamu Aoki <osamu@debian.org>  Wed, 08 Jan 2014 23:22:20 +0900

im-config (0.22-3) unstable; urgency=low

  * Fix typo regression in 0.22-2. Closes: #710969

 -- Osamu Aoki <osamu@debian.org>  Tue, 04 Jun 2013 23:36:33 +0900

im-config (0.22-2) unstable; urgency=low

  * Fix wild card match logic error for all IM. Closes: #709921

 -- Osamu Aoki <osamu@debian.org>  Wed, 29 May 2013 21:39:44 +0900

im-config (0.22-1) unstable; urgency=low

  * Change this to non-native 3.0 (quilt) source/format.
  * KUBUNTU patch to use kdialog too.  Closes: #705284
  * Mallit input method support by Michał Zając.  Closes: #701831 

 -- Osamu Aoki <osamu@debian.org>  Sun, 19 May 2013 08:48:18 +0900

im-config (0.21) unstable; urgency=low

  * Disable im-switch hook script if im-switch package is removed
    and im-config is installed.  Closes: #701224

 -- Osamu Aoki <osamu@debian.org>  Tue, 26 Feb 2013 23:04:39 +0900

im-config (0.20) unstable; urgency=low

  * Fix regression on uim for #683950 caused by the 0.19~pre1 fixing
    #694446. Closes: #695940
  * Adjust desktop file to match the gnome-shell 3.4.1-8 behavior
    updated just around the wheezy freeze on 23 Jun 2012.
  * Work around zenity bug for readable display under Japanese.
    Closes: #695939 

 -- Osamu Aoki <osamu@debian.org>  Sat, 15 Dec 2012 11:25:11 +0900

im-config (0.19) unstable; urgency=low

  * Uploading to unstable.

 -- Osamu Aoki <osamu@debian.org>  Sun, 02 Dec 2012 11:07:57 +0900

im-config (0.19~pre1) experimental; urgency=low

  * Fix for programs stared by dbus by moving exporting of environment 
    variables earlier. Closes: #694446

 -- Osamu Aoki <osamu@debian.org>  Thu, 29 Nov 2012 00:14:56 +0900

im-config (0.18) unstable; urgency=low

  * Updated uim support for gtk3 and add uim-xim requirement for XIM.

 -- Osamu Aoki <osamu@debian.org>  Sat, 25 Aug 2012 13:38:42 +0900

im-config (0.18~pre1) experimental; urgency=low

  * Inspired by Aron Xu's patch, new im-launch script was created
    while moving its hook script to 70im-config_launch. Closes: #683950

 -- Osamu Aoki <osamu@debian.org>  Sat, 11 Aug 2012 13:28:14 +0900

im-config (0.17) unstable; urgency=low

  * Update for scim using Tz-Huan Huang' patch as its basis. 

 -- Osamu Aoki <osamu@debian.org>  Fri, 29 Jun 2012 21:35:17 +0900

im-config (0.16) unstable; urgency=low

  * Reactivate zenity as default backend under X with more
    sanity checks. Closes: #672271 

 -- Osamu Aoki <osamu@debian.org>  Tue, 15 May 2012 23:10:05 +0900

im-config (0.15) unstable; urgency=low

  * Updated #671655 bug fix with new xim menu.
  * Disable zenity as default backend under X. Closes: #672262

 -- Osamu Aoki <osamu@debian.org>  Wed, 09 May 2012 21:52:38 +0900

im-config (0.14) unstable; urgency=low

  * Fixed -n option operation.  Closes: #671233 
  * Add bare XIM support XKB users. Closes: #671655 

 -- Osamu Aoki <osamu@debian.org>  Mon, 07 May 2012 00:05:26 +0900

im-config (0.13) unstable; urgency=low

  * Fixed uim starting script.  Closes: #670265, #670269 
  * Updated Standards-Version to 3.9.3.

 -- Osamu Aoki <osamu@debian.org>  Thu, 26 Apr 2012 23:44:48 +0900

im-config (0.12) unstable; urgency=low

  * Added -n option for use by external scripts. Closes: #659458 

 -- Osamu Aoki <osamu@debian.org>  Thu, 16 Feb 2012 00:29:50 +0900

im-config (0.11) unstable; urgency=low

  * Updated zh_CN translation.  Thanks Aron Xu.
  * Updated hime and gcin. Thanks Yao Wei.  Closes: #658581

 -- Osamu Aoki <osamu@debian.org>  Sun, 05 Feb 2012 20:25:22 +0900

im-config (0.10) unstable; urgency=low

  * Added German translation. Thanks Hendrik Knackstedt.
  * Added HIME and Chinese translation.  Thanks Yao Wei. Closes: #652522

 -- Osamu Aoki <osamu@debian.org>  Tue, 17 Jan 2012 22:06:36 +0900

im-config (0.9) unstable; urgency=low

  * Moved gettext to xinputrc.common. Thanks Patrice Duroux. 
    Closes: #653700 

 -- Osamu Aoki <osamu@debian.org>  Fri, 30 Dec 2011 22:50:57 +0900

im-config (0.8) unstable; urgency=low

  * Internationalization with gettext. 

 -- Osamu Aoki <osamu@debian.org>  Tue, 20 Dec 2011 00:37:14 +0900

im-config (0.7) unstable; urgency=low

  * Updated fcitx description.
  * Added LANG=C for dpkg-query. Thanks Igor Urazov. Closes: #651646

 -- Osamu Aoki <osamu@debian.org>  Sun, 11 Dec 2011 09:29:43 +0900

im-config (0.6) unstable; urgency=low

  * Added lib-thai and imhangul support. Closes: #650244
  * Refactored UI code and added automatic variable export support
    for custom user script.
  * Added -a -c -s options and updated im-config(8). 
  * Major code clean up readying for gettext usage.
  * Updated README.Debian.

 -- Osamu Aoki <osamu@debian.org>  Mon, 05 Dec 2011 23:48:05 +0900

im-config (0.5) unstable; urgency=low

  * Added multi-arch support. Closes: #644254 
  * Updated fcitx support. Closes: #642215
  * Supported GTK+2/GTK+3 immodule for all capable input method
    (enable it only when both gtk2 and gtk3 immodules are available).
  * Dependency adjustment for dialog and zenity. Closes: #631777
  * Clutter support for ibus.
  * Updated contents of README.Debian.
  * Refined UI dialogue and indicated auto choice with @.

 -- Osamu Aoki <osamu@debian.org>  Sun, 13 Nov 2011 13:15:43 +0900

im-config (0.4) unstable; urgency=low

  * Added xsunpinyin support by Zhengpeng Hou.
  * Adjusted gcin priority in line with README.Debian.
  * Lowered skim priority since it will not be supported under KDE4.
  * Fixed package removal side effects. Closes: #618021 

 -- Osamu Aoki <osamu@debian.org>  Mon, 14 Mar 2011 22:58:05 +0900

im-config (0.3) unstable; urgency=low

  * Added skim support.
  * Enabled menu if corresponding package is installed even for low
    priority entries.
  * Fixed library check logic to set environment variables. 

 -- Osamu Aoki <osamu@debian.org>  Sat, 17 Jul 2010 21:42:59 +0900

im-config (0.2) unstable; urgency=low

  * Set menu entry to be NoDisplay.
  * Improved GTK+ menu messages.
  * Added console menu.
  * Updated documentation.

 -- Osamu Aoki <osamu@debian.org>  Mon, 28 Jun 2010 22:22:55 +0900

im-config (0.1) unstable; urgency=low

  * Created a new package to manage the input method on Debian with a
    much simpler structure than that of im-switch.
  * Initial release to Debian. Closes: #587258

 -- Osamu Aoki <osamu@debian.org>  Sun, 27 Jun 2010 14:41:55 +0900
